// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "Collider3D.hpp"

namespace Dawn {
  class CharacterController3D : public SceneItemComponent {
    public:
      glm::vec3 velocity = glm::vec3(0, 0, 0);
      glm::vec3 gravity = glm::vec3(0, -1, 0);
      float_t friction = 12.0f;

      CharacterController3D(SceneItem *item);

      void onStart() override;
  };
}